package com.dayou.service.impl;

import com.dayou.entity.ItemBrokerageTechnicist;
import com.dayou.mapper.ItemBrokerageTechnicistMapper;
import com.dayou.service.IItemBrokerageTechnicistService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.utils.LoginContext;
import com.dayou.vo.DeductionTechItemVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 技术人员项目提成总表 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
@Service
public class ItemBrokerageTechnicistServiceImpl extends ServiceImpl<ItemBrokerageTechnicistMapper, ItemBrokerageTechnicist> implements IItemBrokerageTechnicistService {

    @Autowired
    private ItemBrokerageTechnicistMapper itemBrokerageTechnicistMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<DeductionTechItemVO> selectPage(Page page, DeductionTechItemVO deductionTechItemVO){
        deductionTechItemVO.setUserId(LoginContext.getUserId());
        Page<DeductionTechItemVO> xPage = itemBrokerageTechnicistMapper.xPage(page,deductionTechItemVO);
        return xPage;
    }


    @Override
    public ItemBrokerageTechnicist detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(ItemBrokerageTechnicist itemBrokerageTechnicist){
        return  this.save(itemBrokerageTechnicist);
    }

    @Override
    public Boolean update(ItemBrokerageTechnicist itemBrokerageTechnicist){
        return  this.updateById(itemBrokerageTechnicist);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public Page<DeductionTechItemVO> oncePage(Page page, DeductionTechItemVO deductionTechItemVO) {
        deductionTechItemVO.setUserId(LoginContext.getUserId());
        Page<DeductionTechItemVO> xPage = itemBrokerageTechnicistMapper.oncePage(page,deductionTechItemVO);
        return xPage;
    }
}
